/*****
 NAME
 	cpoint.h - header file for CPoint class
 VERSION
 	$Id$
 CHANGELOG
 	$Log$
 */

#include <coconut/cpoint.h>

@implementation CPoint

- init
{
	point_h = 0 ; point_v = 0 ;
	return [super init] ;
}

- (void) dealloc
{
	[super dealloc] ;
}

- initPoint: (position_t) h and: (position_t) v
{
	point_h = h ; point_v = v ;
	return [super init] ;
}

- set: (position_t) h and: (position_t) v
{
	point_h = h ; point_v = v ;
	return nil ;
}

- (position_t) holiz 
{
	return point_h ;
}

- (position_t) vert
{
	return point_v ;
}

@end

